%global librarydir %{_libdir}

Summary:        Library for asynchronous I/O readiness notification
Name:           ivykis
Version:        0.42.4
Release:    1%{?dist}

License:        LGPLv2+
URL:            http://libivykis.sourceforge.net/
Source0:        http://downloads.sourceforge.net/project/libivykis/%{version}/%{name}-%{version}.tar.gz


BuildRequires:  gcc
BuildRequires: make
%description
ivykis is a library for asynchronous I/O readiness notification.
It is a thin, portable wrapper around OS-provided mechanisms such
as epoll_create(2), kqueue(2), poll(2), poll(7d) (/dev/poll) and
port_create(3C).

ivykis was mainly designed for building high-performance network
applications, but can be used in any event-driven application that
uses poll(2)able file descriptors as its event sources.

%package devel
Summary:        Development files for the ivykis package
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel
ivykis is a library for asynchronous I/O readiness notification.
This package contains files needed to develop applications using
ivykis.


%prep
%setup -q

%build
%configure --libdir=%{librarydir}
%{__make} %{_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

rm -f %{buildroot}%{librarydir}/libivykis.{a,la}

%if "%{librarydir}" != "%{_libdir}"
  mkdir -p %{buildroot}%{_libdir}
  mv %{buildroot}%{librarydir}/pkgconfig %{buildroot}%{_libdir}/
%endif

%check
make check




%files
%doc AUTHORS COPYING
%{librarydir}/libivykis.so.*

%files devel
%{librarydir}/libivykis.so
%{_includedir}/iv*
%{_libdir}/pkgconfig/*
%{_mandir}/man3/*.3*


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.42.4-1
- initial build
